Bug 1011943 - Read-only attribute of remote-store is ignored
Read-only attribute of remote-store is ignored
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:30 EDT by Jakub Markos
Modified: 2014-03-24 21:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In Remote Client-Server mode, when a remote-store is defined with a read-only attribute set to true, this attribute is ignored. As a result, data may be stored in the remote store despite it being defined as read-only.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local node server configuration (10.98 KB, text/xml)
2013-09-25 08:30 EDT, Jakub Markos
no flags Details
Remote store server configuration (10.74 KB, text/xml)
2013-09-25 08:32 EDT, Jakub Markos
no flags Details

  None (edit)
Description Jakub Markos 2013-09-25 08:30:39 EDT
Created attachment 802799 [details]
Local node server configuration

I have a cluster of 2 nodes (see attachments for server configs). After putting 3 entries to the cache, 1 entry is evicted and stored in the remote store (should not happen)
Worked in 6.2.0.DR4, doesn't for 6.2.0.ER1.
Comment 1 Jakub Markos 2013-09-25 08:32:50 EDT
Created attachment 802800 [details]
Remote store server configuration
Comment 3 Jakub Markos 2013-10-03 05:23:19 EDT
This is probably caused by https://issues.jboss.org/browse/ISPN-3541
Comment 4 Jakub Markos 2013-10-07 05:28:08 EDT
Verified with this fix https://github.com/infinispan/infinispan-server/pull/171 (maybe change the milestone to ER3?).

Note You need to log in before you can comment on or make changes to this bug.